\name{calculateSimilarity}
\alias{calculateSimilarity}
\title{Calculate similarities (distances) between a vector and the rows (columns) of a matrix}
\description{
  \code{calculateSimilarity} calculates the similarity (distance) between the submitted numeric vector and all rows respectively columns of a numerical matrix using the specified similarity (distance) measurement method. 
}
\usage{
calculateSimilarity(vector,matrix,orientation="h",distance.fun=distance.euclidian,include.values=FALSE)
}
\arguments{
  \item{vector}{The numerical vector for which the similarities should be calculated.}
  \item{matrix}{Numerical matrix with wichs columns (rows) the vector submitted with the \code{vector} attribute should be compared.}
  \item{orientation}{If the vector should be compared with the rows (\code{"h"}) or columns (\code{"v"}) of the matrix.}
  \item{distance.fun}{The function that should be used to calculate the similarity.}
  \item{include.values}{If the input values should be included in the result. If false only a vector with the distances will be returned.}
}
\details{
This function is a simple and quick way to calculate the similarity of a vector and the columns or rows of a matrix. This function can be used if one has for example a gene with known gene expression or regulation pattern and want to search for other genes that show a similar pattern under the same conditions.
}
\references{}
\author{Johannes Rainer}

\seealso{
	\code{\link{distance.pearson}}
	\code{\link{distance.euclidian}}
	\code{\link{distance.spearman}}
	\code{\link{dbSearchSimilarPattern}}
}

\examples{
}

\keyword{data}
