\name{deleteExperimentFromDB}
\alias{deleteExperimentFromDB}
\title{Deleting a experiment from a database.}
\description{
  \code{deleteExperimentFromDB} this function deletes an experiment that was formerly stored into a PostgreSQL database by the \code{publishToDB} function. This function depends on the \pkg{RdbiPgSQL} package.
}
\usage{
deleteExperimentFromDB(con,exp.title,v=TRUE)
}
\arguments{
  \item{con}{A connection object (create it with the dbConnect.PgSQL.conn function from the package RdbiPgSQL)}
  \item{exp.title}{The name (title) from the experiment in the database.}
  \item{v}{If TRUE additional information will be printed to the console.}
}
\details{
As every function from the \pkg{tkfiDB} and \pkg{maDB} packages that writes or updates values in a PostgreSQL database also this funciton uses transactions. So if any exception occurrs during the call the status before the call will be restored.
}
\references{}
\author{Johannes Rainer}

\seealso{
    \code{\link{publishToDB}}
    \code{\link{dbGetExperimentInfo}}
%    \code{\link{dbConnect}}
}

\keyword{data}


