\name{plotSimilarity}
\alias{plotSimilarity}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Draw a plot for the Similarity-class}
\description{
This function draws the similarity plot for the \code{Similarity-class} objects. Basically it draws the template vector and the 5 rows of the data matrix with the smalles distance to the template in a plot.
}
\usage{
plotSimilarity(ids, distances, data, template, restrict.to = min(5, length(data[, 1])), template.id = "custom", legend = TRUE, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{ids}{A list with the ids (rownames of the data matrix).}
  \item{distances}{The vector with the distances (each row of the data matrix to the template vector).}
  \item{data}{The data matrix (the expression or regulation patterns of a set of genes over a set of samples).}
  \item{template}{The template vector (the expression or regulation pattern of a gene over a set of samples).}
  \item{restrict.to}{How many patterns should be drawn. By default the 5 patterns with the smalles distance to the template pattern will be drawn.}
  \item{template.id}{The template gene id.}
  \item{legend}{If a legend should be drawn.}
  \item{\dots}{additional parameters.}
}
\value{
A plot of best matching gene expression or regulation patterns.
}
\author{ Johannes Rainer }
\seealso{ \code{\link{Similarity-class}} }
\keyword{data}

